__gnu_pbds::sample_probe_fn Class Reference

## Public Types

typedef std::size_t | size_type

## Public Member Functions

| sample_probe_fn ()
| sample_probe_fn (const sample_probe_fn &)
void | swap (sample_probe_fn &)

## Protected Member Functions

size_type | operator() (key_const_reference r_key, size_type i) const

## Detailed Description

A sample probe policy.

Definition at line 47 of file sample_probe_fn.hpp.

## Constructor & Destructor Documentation

__gnu_pbds::sample_probe_fn::sample_probe_fn | ( |  | ) |

Default constructor.

__gnu_pbds::sample_probe_fn::sample_probe_fn | ( | const sample_probe_fn & |  | ) |

Copy constructor.

## Member Function Documentation

size_type __gnu_pbds::sample_probe_fn::operator() | ( | key_const_reference | r_key,
|  | size_type | i
| ) |  | const

inlineprotected

Returns the i-th offset from the hash value of some key r_key.

void __gnu_pbds::sample_probe_fn::swap | ( | sample_probe_fn & |  | ) |

inline

Swaps content.

The documentation for this class was generated from the following file:

- sample_probe_fn.hpp